from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class DOMExceptionType(IntEnum):
    DOMSTRING_SIZE_ERR = auto()
    HIERARCHY_REQUEST_ERR = auto()
    INDEX_SIZE_ERR = auto()
    INUSE_ATTRIBUTE_ERR = auto()
    INVALID_ACCESS_ERR = auto()
    INVALID_CHARACTER_ERR = auto()
    INVALID_MODIFICATION_ERR = auto()
    INVALID_STATE_ERR = auto()
    NAMESPACE_ERR = auto()
    NO_DATA_ALLOWED_ERR = auto()
    NO_MODIFICATION_ALLOWED_ERR = auto()
    NOT_FOUND_ERR = auto()
    NOT_SUPPORTED_ERR = auto()
    SYNTAX_ERR = auto()
    WRONG_DOCUMENT_ERR = auto()
